DefaultDataBindingSourceRegistry (Grails 6.0.0)

Package: org.grails.web.databinding.bindingsource

## [Groovy] Class DefaultDataBindingSourceRegistry

- org.grails.web.databinding.bindingsource.DefaultDataBindingSourceRegistry

- All Implemented Interfaces and Traits:
    DataBindingSourceRegistry

      @groovy.transform.CompileStatic
      class DefaultDataBindingSourceRegistry
      extends ClassAndMimeTypeRegistry<DataBindingSourceCreator, DataBindingSourceCreatorCacheKey>
      implements DataBindingSourceRegistry

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `DefaultDataBindingSourceRegistry.DataBindingSourceCreatorCacheKey` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultDataBindingSourceRegistry ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addDataBindingSourceCreator(DataBindingSourceCreator creator)`
    `` | `DefaultDataBindingSourceRegistry.DataBindingSourceCreatorCacheKey` | `createCacheKey(java.lang.Class type, MimeType mimeType)`
    `` | `CollectionDataBindingSource` | `createCollectionDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)`
    `` | `DataBindingSource` | `createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)`
    `` | `protected DataBindingSourceCreator` | `getDataBindingSourceCreator(MimeType mimeType, java.lang.Class targetType, java.lang.Object bindingSource)`
    `` | `void` | `initialize()`
    `` | `void` | `setDataBindingSourceCreators(DataBindingSourceCreator[] dataBindingSourceCreators)`

- - ### Constructor Detail

    - #### DefaultDataBindingSourceRegistry()

  - ### Method Detail

    - #### @java.lang.Override void addDataBindingSourceCreator(DataBindingSourceCreator creator)

    - #### @java.lang.Override DefaultDataBindingSourceRegistry.DataBindingSourceCreatorCacheKey createCacheKey(java.lang.Class type, MimeType mimeType)

    - #### @java.lang.Override CollectionDataBindingSource createCollectionDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)

    - #### @java.lang.Override DataBindingSource createDataBindingSource(MimeType mimeType, java.lang.Class bindingTargetType, java.lang.Object bindingSource)

    - #### protected DataBindingSourceCreator getDataBindingSourceCreator(MimeType mimeType, java.lang.Class targetType, java.lang.Object bindingSource)

    - #### @javax.annotation.PostConstruct void initialize()

    - #### @org.springframework.beans.factory.annotation.Autowired(required: false) void setDataBindingSourceCreators(DataBindingSourceCreator[] dataBindingSourceCreators)